<?php
/*
*----------------------------phpMyBitTorrent V 2.0.4---------------------------*
*--- The Ultimate BitTorrent Tracker and BMS (Bittorrent Management System) ---*
*--------------   Created By Antonio Anzivino (aka DJ Echelon)   --------------*
*-------------               http://www.p2pmania.it               -------------*
*------------ Based on the Bit Torrent Protocol made by Bram Cohen ------------*
*-------------              http://www.bittorrent.com             -------------*
*------------------------------------------------------------------------------*
*------------------------------------------------------------------------------*
*--   This program is free software; you can redistribute it and/or modify   --*
*--   it under the terms of the GNU General Public License as published by   --*
*--   the Free Software Foundation; either version 2 of the License, or      --*
*--   (at your option) any later version.                                    --*
*--                                                                          --*
*--   This program is distributed in the hope that it will be useful,        --*
*--   but WITHOUT ANY WARRANTY; without even the implied warranty of         --*
*--   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          --*
*--   GNU General Public License for more details.                           --*
*--                                                                          --*
*--   You should have received a copy of the GNU General Public License      --*
*--   along with this program; if not, write to the Free Software            --*
*-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA --*
*--                                                                          --*
*------------------------------------------------------------------------------*
*------              ©2005 phpMyBitTorrent Development Team              ------*
*-----------               http://phpmybittorrent.com               -----------*
*------------------------------------------------------------------------------*
*-----------------   Sunday, September 14, 2008 9:05 PM   ---------------------*
*/
if (defined('IN_PMBT'))die ("You can't include this file");
define("IN_PMBT",true);
include("header.php");
if ($_GET["id"] != ""){
$id =$_GET["id"];
if (checkaccess('can_add_uttube')){
$db->sql_query("DELETE FROM ".$db_prefix."_youtubevideo WHERE id= $id") or sqlerr(__FILE__, __LINE__);
}
else{
bterror(_btauthorized,_btsorry);
}
} 
if ($_SERVER["REQUEST_METHOD"] == "POST")
{
if ($link == "" || $name == "")bterror(_btmissing,_btsorry);
if(!checkaccess('can_add_uttube')){
        bterror(_btprivelages,_btsorry);
}
    $name = $_POST["name"];
    $user = $user->name;
    $link = "http://youtube.com/v/".$_POST[link]."";
    $db->sql_query("INSERT INTO ".$db_prefix."_youtubevideo (link, name, addedby, addtime) VALUES('$link', '$name', '$user',NOW())") or sqlerr(__FILE__, __LINE__);
                        echo "<meta http-equiv=\"refresh\" content=\"0;url=youtube.php\">";
  }
if (!checkaccess('can_view_utube')){
OpenErrTable(_btaccdenied);
echo "<p>You do not have Permissions to Access Utube Videos at this time</p>";
CloseErrTable();
die();
}else{
$showvid = "";
if ($op == "show"){
//$showvid = $video;
$showvid = "<object width=\"480\" height=\"295\"><param name=\"movie\" value=\"".$video."&hl=en&fs=1&rel=0\"></param><param name=\"allowFullScreen\" value=\"true\"></param><param name=\"allowscriptaccess\" value=\"always\"></param><embed src=\"".$video."&hl=en&fs=1&rel=0\" type=\"application/x-shockwave-flash\" allowscriptaccess=\"always\" allowfullscreen=\"true\" width=\"480\" height=\"295\"></embed></object>";
}else{
$showvid = "";
}
print("\n\n\n<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\"><tr>\n");
print("<td width=\"502\" valign=\"top\">\n");
print("<table width=\"502\"><tr><td align=\"center\">\n");
//echo"<tr><td align=\"center\">\n";
Opentable(_btvid_clip);
echo"<div><center>\n";
echo"<span class=\"style3\"><font color=\"blue\">"._btvid_choose."</font></span>\n";
echo"</center></div>\n";
if($showvid !="")echo $showvid;
echo"<span class=\"style3\"><iframe src=\"\" name=\"games\" width=\"570\" height=\"570\" scrolling=\"no\"></iframe></span>\n";
CloseTable();
print("</td></tr></table>\n\n\n\n");
print("<td width=\"300\" valign=\"top\">\n\n\n");
print("<table border=\"1\"><tr><td align=\"center\">\n");
OpenTable(_btvid_list);
echo"<div><center>\n";
echo "<span class=\"style3\"><font color=blue>"._btvid_fun."</font></span>\n";
echo"</center></div>\n";
$query = "SELECT * FROM ".$db_prefix."_youtubevideo ORDER BY name";
$sql = $db->sql_query($query);
while ($row = $db->sql_fetchrow($sql)) {
$link = $row['link'];
$name = $row['name'];
print("<div><a href=".$link." target=games>".$name."</div>\n");
}
CloseTable();
print("\n\n\n</td></tr></table></td></tr><tr><td>\n");
if (checkaccess('can_add_uttube')){
OpenTable(_btvid_add);
echo "<table align=center cellpadding=\"0\" cellspacing=\"0\" style=\"border-collapse: collapse\" bordercolor=\"#D6D9DB\" width=\"100%\" border=\"1\">";
?>
<form method="post" action="youtube.php">
<div align=center><p>
<?=_btvid_url?>"http://youtube.com/watch?v=qppuuQrklHg"<br /><?=_btvid_link?>

</p></div>
<tr><td class="tableb"><?=_btvid_link1?></td><td class="tablea"><input type="text" name="link" size="60"></td></tr>
<tr><td class="tableb"><?=_btvid_name?></td><td class="tablea"><input type="text" name="name" size="60"></td></tr>
<tr><td class="tablea" colspan="2" style="text-align:center"><input type="submit" value="<?=_btokay?>" class="btn"></td></tr>
</form>
<?php
echo "</table>";
CloseTable();
OpenTable(_btvid_info);
echo "<table align=center cellpadding=\"0\" cellspacing=\"0\" style=\"border-collapse: collapse\" bordercolor=\"#D6D9DB\" width=\"100%\" border=\"1\">";
?>
<tr>
 <td width="5%" class="tablecat"><div align="center"><?=_btvid_id?></div></td>
 <td width="45%"class="tablecat"><div align="center"><?=_btvid_name?></div></td>
 <td width="15%"class="tablecat"><div align="center"><?=_btvid_link1?></div></td>
 <td width="20%"class="tablecat"><div align="center"><?=_btvid_addedby?></div></td>
 <td width="10%"class="tablecat"><div align="center"><?=_btvid_added?></div></td>
 <td width="5%"class="tablecat"><div align="center"><?=_btvid_delete?></div></td>
</tr>
<?php
$query = "SELECT * FROM ".$db_prefix."_youtubevideo ORDER BY id";
$sql = $db->sql_query($query);
    while ($row2 = $db->sql_fetchrow($sql)){
     $link = str_replace("http://youtube.com/v/","",$row2["link"]);
     $name = $row2["name"];
     $id = $row2["id"];
     $addedby = $row2["addedby"];
     $addtime = $row2["addtime"];
?>
<tr>
 <td width="5%" class="tablea"><div align="center"> <?=$id?></div></td>
 <td width="45%" class="tablea"><div align="left"> <?=$name?></div></td>
 <td width="15%" class="tablea"><div align="center"> <?=$link?></div></td>
 <td class="tablea"><div align="center"> <?=$addedby?></div></td>
 <td class="tablea"><div align="center"> <?=$addtime?></div></td>
 <td class="tablea"><div align="center"><?=pic("drop.gif","youtube.php?id=".$id,_btvid_remove);?></div></td>
</tr>
<?php
$nr = $nr+1;
}
echo "</table>\n\n\n\n";
CloseTable();
}
}
echo "</td></tr></table>";
include ("footer.php");
?>